Module tdlight.api
Package it.tdlight.jni

# Class TdApi.WriteGeneratedFilePart

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.WriteGeneratedFilePart

Enclosing class:
  TdApi

public static final class TdApi.WriteGeneratedFilePart extends TdApi.Function<TdApi.Ok>
Writes a part of a generated file. This method is intended to be used only if the application has no direct access to TDLib's file system, because it is usually slower than a direct write to the destination file.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`byte[]`
`data`
The data to write.
`long`
`generationId`
The identifier of the generation process.
`int`
`offset`
The offset from which to write the data to the file.

## Constructor Summary

Constructors
Constructor
Description
`WriteGeneratedFilePart()`
Writes a part of a generated file.
`WriteGeneratedFilePart(long generationId, int offset, byte[] data)`
Writes a part of a generated file.
`WriteGeneratedFilePart(DataInput input)`
Writes a part of a generated file.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### generationId

public long generationId
The identifier of the generation process.

### offset

public int offset
The offset from which to write the data to the file.

### data

public byte[] data
The data to write.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### WriteGeneratedFilePart

public WriteGeneratedFilePart()
Writes a part of a generated file. This method is intended to be used only if the application has no direct access to TDLib's file system, because it is usually slower than a direct write to the destination file.

Returns `Ok`

### WriteGeneratedFilePart

public WriteGeneratedFilePart(long generationId, int offset, byte[] data)
Writes a part of a generated file. This method is intended to be used only if the application has no direct access to TDLib's file system, because it is usually slower than a direct write to the destination file.

Returns `Ok`

Parameters:
  `generationId` - long The identifier of the generation process.
  `offset` - int The offset from which to write the data to the file.
  `data` - byte[] The data to write.

### WriteGeneratedFilePart

public WriteGeneratedFilePart(DataInput input) throws IOException
Writes a part of a generated file. This method is intended to be used only if the application has no direct access to TDLib's file system, because it is usually slower than a direct write to the destination file.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`